# HTML Templates in Odin

```odin
	page := html()
	{head()
		{title("HTML Title")}
	}
	{body()
		{div()
			class("container")
			{div()
				class("article")
				{h1("Hello, world!")}
				{h6("Goodbye, world!")}
				{
					{div()
						attr("aria-data", "idk!")
						text("Yo, what's up!")
					}
					{div()
						{a("don't be eeeviiiilll", "http://google.com")}
						{a("This link has a class called 'button'")
							class("button")}
					}
				}
			}

			{img("background.png", "green texture")
				class("img")
			}
			{div()
				id("lol")
				class("hello")
			}
			{text("Random text")}
			{text("")}
		}
	}
```

&lt;html&gt;
        &lt;head&gt;
                &lt;title&gt;HTML Title&lt;/title&gt;
        &lt;/head&gt;
        &lt;body&gt;
                &lt;div class="container"&gt;
                        &lt;div class="article"&gt;
                                &lt;h1&gt;Hello, world!&lt;/h1&gt;
                                &lt;h6&gt;Goodbye, world!&lt;/h6&gt;
                                &lt;div aria-data="idk!"&gt;Yo, what's up!&lt;/div&gt;
                                &lt;div&gt;
                                        &lt;a href="http://google.com"&gt;don't be eeeviiiilll&lt;/a&gt;
                                        &lt;a class="button" href=""&gt;This link has a class called 'button'&lt;/a&gt;
                                &lt;/div&gt;
                        &lt;/div&gt;
                        &lt;img class="img" alt="green texture" src="background.png"&gt;
                        &lt;div class="hello" id="lol"&gt;&lt;/div&gt;
                        Random text
                &lt;/div&gt;
        &lt;/body&gt;
&lt;/html&gt;